package com.wrox.algorithms.iteration;


public final class IterativePowerCalculator implements PowerCalculator {

    /** Pojedyncza, publicznie dostępna instancja komparatora */
    public static final IterativePowerCalculator INSTANCE = new IterativePowerCalculator();

    
    private IterativePowerCalculator() {
    }

    public int calculate(int base, int exponent) {
        assert exponent >= 0 : "wykładnik nie może być ujemny";

        int result = 1;

        for (int i = 0; i < exponent; ++i) {
            result *= base;
        }

        return result;
    }
}
